% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/estCorMSEMST.R
\name{estCorMSEMST}
\alias{estCorMSEMST}
\title{Estimate correlation between MSE and MST estimators}
\usage{
estCorMSEMST(
  y,
  x,
  fitFun,
  predFun,
  methodMSE,
  methodCor,
  nBootstrapsCor,
  nFolds,
  nBootstraps
)
}
\arguments{
\item{y}{The vector of outcome values}

\item{x}{The matrix of predictors}

\item{fitFun}{The function for fitting the prediction model}

\item{predFun}{The function for evaluating the prediction model}

\item{methodMSE}{The method to estimate the MSE, either "CV" for cross-validation or "bootstrap" for .632 bootstrap}

\item{methodCor}{The method to estimate the correlation between MSE and MST estimators, either "nonparametric" or "jackknife"}

\item{nBootstrapsCor}{The number of bootstraps to estimate the correlation}

\item{nFolds}{The number of outer folds for cross-validation}

\item{nBootstraps}{The number of .632 bootstraps}
}
\value{
the estimated correlation
}
\description{
Estimate correlation between MSE and MST estimators
}
